<?php
	session_start();
	
	##################################################################################
	### VÉRIFICATION DU CAPTCHA (reCAPTCHA) ##########################################
	##################################################################################
	require_once('recaptchalib.php');
	$privatekey = "6LffX8gSAAAAANp-zQS8MQVQRngFgNNJ8d9tBZJb";
	$resp = recaptcha_check_answer ($privatekey, $_SERVER["REMOTE_ADDR"], $_POST["recaptcha_challenge_field"], $_POST["recaptcha_response_field"]);
	
	// Si CAPTCHA incorrect
	if (!$resp->is_valid)
	{
		// On met tout ce qu'il y a en post dans un tableau que l'on met dans
		// une variable session et on retourne au formulaire
		$arrayPOST = array( 'idEcole' => $_POST['id_ecole'], 
							'prisecFaireChoix' => $_POST['prisecFaireChoix'], 
							'nbEtudiantsGarcons' => $_POST['nbEtudiantsGarcons'], 
							'nbEtudiantsFilles' => $_POST['nbEtudiantsFilles'], 
							'nbEtudiants' => $_POST['nbEtudiants'], 
							'courrielDirecteur' => $_POST['courrielDirecteur'], 
							'courrielDirecteurConfirm' => $_POST['courrielDirecteurConfirm'], 
							'prenom' => $_POST['prenom'], 
							'nom' => $_POST['nom'], 
							'fonction' => $_POST['fonction'], 
							'courriel' => $_POST['courriel'], 
							'courrielConfirm' => $_POST['courrielConfirm'], 
							'telburInd' => $_POST['telburInd'], 
							'telburPart1' => $_POST['telburPart1'], 
							'telburPart2' => $_POST['telburPart2'], 
							'telburExt' => $_POST['telburExt'], 
							'telResInd' => $_POST['telResInd'], 
							'telResPart1' => $_POST['telResPart1'], 
							'telResPart2' => $_POST['telResPart2'], 
							'telCellInd' => $_POST['telCellInd'], 
							'telCellPart1' => $_POST['telCellPart1'], 
							'telCellPart2' => $_POST['telCellPart2'], 
							'login' => $_POST['login'], 
							'password' => $_POST['password'], 
							'passwordConfirm' => $_POST['password_confirm'], 
							);
		
		if (isset($_POST['niveauFormulaire']))
			$arrayPOST['niveauFormulaire'] = $_POST['niveauFormulaire'];
		
		
		$_SESSION['postBackFrmCreateAccount'] = $arrayPOST;
		
		
		//print("<pre>" . print_r($_SESSION, true) . "</pre>");
		//die();
		
		header('Location: ../index.php?p=formCreateAccount&ecoleChoisie=' . $_POST['id_ecole'] . '#captcha');
	}
	// Si CAPTCHA correct
	else if (isset($_POST['id_ecole']))
	{
		include 'connexion.php';
		include 'escape_valeur.php';
		####################################################################
		### INFORMATION DE L'ÉCOLE #########################################
		####################################################################
		$ecole = escape_valeur($_POST['id_ecole']);
		
		$prisec = escape_valeur($_POST['prisecFaireChoix']);
		
		$prisecPourInsert = '';
		
		// Si l'école de l'usager est primaire et secondaire
		// Il a du choisir le niveau désiré pour le formulaire (Primaire OU secondaire)
		if (isset($_POST['niveauFormulaire']))
			$prisecPourInsert = escape_valeur($_POST['niveauFormulaire']);
		else
			$prisecPourInsert = escape_valeur($_POST['prisecFaireChoix']);
		
		$nbEtudTotal = escape_valeur($_POST['nbEtudiants']);
		$nbEtudGarcons = escape_valeur($_POST['nbEtudiantsGarcons']);
		$nbEtudFilles = escape_valeur($_POST['nbEtudiantsFilles']);
		
		$courrielDirecteur = escape_valeur($_POST['courrielDirecteur']);
		####################################################################
		####################################################################
		####################################################################
		
		
		
		####################################################################
		### INFORMATION PERSONNELLES #######################################
		####################################################################
		$prenom = escape_valeur($_POST['prenom']);
		$nom = escape_valeur($_POST['nom']);
		
		$fonction = escape_valeur($_POST['fonction']);
		
		$courriel = escape_valeur($_POST['courriel']);
		
		$tel_travail = escape_valeur('(' . $_POST['telburInd'] . ') ' . $_POST['telburPart1'] . '-' . $_POST['telburPart2']);
		if ($_POST['telburExt'] != '')
			$tel_travail .= ' ext: ' . $_POST['telburExt'];
		
		$tel_residence = escape_valeur('(' . $_POST['telResInd'] . ') ' . $_POST['telResPart1'] . '-' . $_POST['telResPart2']);
		
		$tel_mobile = escape_valeur('(' . $_POST['telCellInd'] . ') ' . $_POST['telCellPart1'] . '-' . $_POST['telCellPart2']);
		
		$login = escape_valeur($_POST['login']);
		$password = escape_valeur($_POST['password']);
		$password_confirm = escape_valeur($_POST['password_confirm']);
		####################################################################
		####################################################################
		####################################################################
		
		
		// Re-vérification à savoir si l'école est déjà inscrite
		$requeteVerif = 'SELECT * FROM isoactif_t_usager_ecole WHERE u_e_id_fk = "' . escape_valeur($ecole) . '"';
		if(!$resultatVerif = $connexion->query($requeteVerif)){ die('There was an error running the query [' . $connexion->error . ']');}
		
		if ($resultatVerif->num_rows == 0)
		{
			// INSERT USER
			$requeteInsert = "INSERT INTO isoactif_t_usager_ecole (
			u_login, 
			u_pwd, 
			u_prenom, 
			u_nom, 
			u_fct, 
			u_courriel, 
			u_tel_travail, 
			u_tel_residence, 
			u_tel_cell, 
			u_e_id_fk, 
			u_e_nb_etud_g, 
			u_e_nb_etud_f, 
			u_courriel_directeur, 
			u_g_prisec
			) 
			VALUES (
			\"" . $login . "\", 
			\"" . $password . "\", 
			\"" . $prenom . "\", 
			\"" . $nom . "\", 
			\"" . $fonction . "\", 
			\"" . $courriel . "\", 
			\"" . $tel_travail . "\", 
			\"" . $tel_residence . "\", 
			\"" . $tel_mobile . "\", 
			\"" . $ecole . "\", 
			\"" . $nbEtudGarcons . "\", 
			\"" . $nbEtudFilles . "\", 
			\"" . $courrielDirecteur . "\", 
			\"" . $prisecPourInsert . "\"
			)";
			
			if(!$resultatInsert = $connexion->query($requeteInsert)){
				header('Location: ../index.php?p=formCreateAccount&ecoleChoisie=' . $ecole . '&erreur=insert');
			}
			////////////
				
				
			//UPDATE BOTTIN SCOLAIRE
			$nom_bottin_scolaire = escape_valeur($prenom . ' ' . $nom);
			$requeteUpdateBottin = "UPDATE t_liste_ecoles_08 SET 
			NOM_ISO = \"" . $nom_bottin_scolaire . "\", 
			FCT_ISO = \"" . $fonction . "\", 
			TELBUR_ISO = \"" . $tel_travail . "\", 
			TELRES_ISO = \"" . $tel_residence . "\", 
			TELCELL_ISO = \"" . $tel_mobile . "\", 
			EMAIL_ISO = \"" . $courriel . "\", 
			PRISEC = \"" . $prisec . "\", 
			NBETUD = \"" . $nbEtudTotal . "\" 
			WHERE ID = \"" . $ecole . "\"";
			if(!$resultatUpdateBottin = $connexion->query($requeteUpdateBottin)){}
			///////////////////////
			
			$connexion->close();
			header ("Location: ../index.php?unseraccountcreated=oui&ecoleID=" . $ecole);
		}
		else
		{
			$connexion->close();
			header ("Location: ../index.php");
		}
	}
	else
		header ("Location: ../index.php");
?>